wayidle(1)

# NAME

wayidle - wait for wayland idle timeout

# SYNOPSIS

*wayidle* [-s|--seat _SEAT_NAME_] -t|--timeout=_SECONDS_ [_COMMAND_ [_ARGS_...]]

# OPTIONS

*-s, --seat* _SEAT_NAME_
	Wait for idle timeout on a given seat. If unspecified, the first seat is
	used.

*-t --timeout* _SECONDS_
	Wait for a timeout of _SECONDS_ seconds.

*-h --help*
	Print usage information and exit.

# DESCRIPTION

*wayidle* waits until the Wayland compositor reports being _SECONDS_ seconds idle.

The idle timer always starts after wayidle is executed. If the system was
already idle, the timer starts after wayidle starts. Idle seconds before command
execution do not count.

# ENVIRONMENT

_WAYLAND_DISPLAY_
	Connect to the specified wayland socket.

# DEVELOPMENT

For issues and general development inquiries, see the project home currently
hosted at SourceHut:

	https://git.sr.ht/~whynothugo/wayidle

# SEE ALSO

swayidle(1)

# AUTHORS

Developed by Hugo O. Barrera <hugo@whynothugo.nl>.

wayidle is an open source project licensed under the ISC licence and developed
for anyone to use freely. If you would like to sponsor this project, see:

	https://whynothugo.nl/sponsor
